5979 comments

I am using the mvc5-angularjs project and I am seeing a lot of "Can't resolve" errors. Most of them are flot/jquery.flot related but there is a 'weather-icons/css/weather-icons-wind.css' and a 'whirl/dist/whirl.css'
error as well. Here is a sample:

ERROR in ./clientApp/app/vendor.ts Module not found: Error: Can't resolve 'flot/jquery.flot.categories.js' in 'C:\Projects\Angle\Angle\clientApp\app'
@ ./clientApp/app/vendor.ts 24:0-41
@ multi webpack-hot-middleware/client?path=%2Fdist%2F__webpack_hmr ./clientApp/app/vendor.ts

Can you please advise?
Hi, the mvc5-angularjs project doesn't use webpack as is shown in the log you posted.

Perhaps do you mean the angular 5 project? If so, this kind of error usually happens because some npm dependecies, installed via napa are not present, to solve this, run "npm run napa" and it should install missing pluigns. This usually happens when you install a new package manually, for some reason npm remove "napa" dependencies.
If you are interested, napa is used to install packages from repos without package.json https://www.npmjs.com/package/napa

Let us know if you have any question
Regards
SerkanB PURCHASED
Hello,
I've been playing with backend-meteor-angular.
Could you please give some information about the login, register structure? It does nothing when you start meteor. Should we add accounts-password package?
It would be great if you can update the documentation in the zip package.
Regards
Hi, our projects doesn't provide an implementation of backend (apologies if folder name is confusing), meaning, we only provide frontend features. The login/register pages provided are only views without logic to manage user accounts or any other businesses logic..

Let us know if you have any question
Regards
Any timeline to when Bootstrap 4 will be available on Angular 5 project?
Hi, we expect to have it ready in 2-3 weeks. Not possible to offer an exact date because we need to analyze all third party module used and check they work correctly on Bootstrap4.

Let us know if you have any question
Rebgards
Is there anyway to create a npm package for the seed menu in angular5? We've tried with many dependencies errors. THat will be very useful, specially for multiple projects and for the updates.

Please help
Thanks!
Hi, could describe a bit more the purpose of having an npm package of the angular5 menu? Also, could you post the error log to check it?

Thanks
Regards
cymbiot PURCHASED
Any timeline to when RTL will be supported on Angular 5 project?
Hi, regarding to RTL on angular5, currently it's only possible by pre-processing the styles with 'rtlcss' tool . This project doesn't support live switch of styles (between RTL and LTR) because the RTL mode is defined at build time but not possible to generate both stylesheets for live switch. If you are interested please send us a message via our profile and we will send you detailed instructions to implement RTL.

Let us know if you have any question
Regards
darl PURCHASED
Hi,
I'm using Jstree inside one of your pages, and something in the CSS is preventing the context menu being displayed on a right button click. If I remove app.css it works.
This is the asp.net core MVC5 version.

Any ideas?

Also, your implementation of flatdoc is tied to opening just one file. Attempting to generalise this by adding script to open another file is failing. Again any ideas?

Andy
Hi,

Regarding to jstree, there's an issue with the z-index. Please add the following to css to make the menu visible:
.vakata-context, .vakata-context ul { z-index: 900; }

Regarding to flatdoc, you can not change the link to another file name or do you need to call it for different files? In the last case, is possible to load the file url from a data attribute and pass to the flatdoc run function, like this:

$('.flatdoc').each(function(){
var file = $(this).data('file');
Flatdoc.run({
fetcher: Flatdoc.file(file),
.....

And then, the markup becomes configurable like this
<div class="flatdoc-wrapper">
<div class="flatdoc" data-file="/Content/documentation/readme.md">

Btw, please note that flatdoc is has not had any updates in several years and recently found that jQuery 3 is not supported so we are evaluating to remove it in the future after the migrations to Bootstrap 4.

Let us know if you have any question
Regards
Asking a new questions since my previous question didn't get a second reply. How can I get set a theme after user login in the angular version?
Hi, we have recently answered you in the other thread.
Regards
hawlik PURCHASED
Hello,
I'm using angularJS version of Angle template and have some comments about uiSelect styles.
Single and multiple select elements look differently. If you put them together in one form they just don't fit.

Controls have different default height, placeholders have different color and placeholder padding is different as well.
Here you are some print screen. https://ibb.co/e0eCJH
can you fix this?
cheers Tomasz
Hi, thank you for pointing us this issue.
Please use the following LESS code to fix this. Add it at the end of file master/less/app/uiselect.less

.ui-select-multiple.ui-select-bootstrap {
padding: @padding-base-vertical @padding-base-horizontal !important;
min-height: @input-height-base !important;
input {
padding: 0 !important;
margin: 0 !important;
width: auto !important;
height: auto !important;
.placeholder(@text-muted);
}
&.ng-not-empty {
padding-top: @padding-base-vertical - 2 !important;
padding-bottom: @padding-base-vertical - 2 !important;
}
}

Please note that ui-select multiple is a bit tricky to style since the input doesn't really cover the entire area, the plugin uses a wrapper and the input is just to detect focus on element. The styling looks pretty much like a form-control but has some minor difference due to the fact the Tags has margins that consumes space and we haven't found a way to detect when to add/remove margins in order to detect when the amount of tags force to the input to break the first line..

Regards
moe799 PURCHASED
Hello,

Is it possible to upgrade the jquery library to 3.1 in the netcore jquery or netcore angular template?
the reason is I would like to use the aspnetawesome with it and it requires jquery >=3.
Hi, you can update jquery by editing the version in package.json. Then re install again .
Regarding to that version we only found issue with flatdoc plugin, used for markdown documentation that doesn't support jquery v3. Anyway there's a workaround so in case you need it, please let us know and will send it.

Let us know if you have any question
Regards
moe799 PURCHASED
Thank you very much for your quick response. I don't think we need the plugin, but we will let you know if we change our mind in the future :).
Thanks again...very cool stuff.
Do you have netcore/angular5 project w/ BS4 available? I am starting project w/ BS4 requirement and would like to use that template.

Thanks
Hi, at this moment with don't have that project ready for BS4. Currently we are working on the migration of angular5 project to BS4. Development is almost ready and we expect to release in no more than 2 weeks. Then we will be ready to implement changes to netcore version.
If this is suitable for you please contact us again in the next days and we'll be able to provide a more exact date for the netcore version.

Thanks
Regards
Yes that works, please notify us.

Thank you.
Hi guys,

i was trying your reactjs version, what i have noticed when i check your sample url [ http://themicon.co/theme/angle/v3.8.5/reactjs/dashboard ] from the network tab app.js and vender.js file size are below 700kb but when i build the same code base (that you have provided) using latest versions of npm and nodejs, i am always geting the same file which is nearly 2.5mb (which is not good)..

please advise where i am making mistake .. i also want to see the same result as you are doing here http://themicon.co/theme/angle/v3.8.5/reactjs/dashboard

please tel me the magic behind it..
thanks
VJ
Hi, the final size of the bundle is mainly because it contains all plugins used in the template, usually not all of them are required and can be purged from file Vendor.jsx to reduce final bundle size.
Regarding to size in demo, when you see 700kb in the page is because we use gzip encoding in our server (just a simple htaccess setup) to compress and send the files.
Here is a list of browser that can handle gzip, which is almost everyone.
https://webmasters.stackexchange.com/a/22223

Regards
Hi Angle Theme,

How can I make the offsidebar closed default/ always? How this modernizr related to this offsidebar? Without modernizr the offsidebar is always open
Hi, Modernizr is used to detect browsers that support transforms features, when that is not supported, the layout should switch to use properties like margins to show/hide elements, same happens when modernizr is not present. If the offsidebar never gets hidden it could be a bug in the css, could you points us what project version are you using (angular, jquery, mvc) so we can check it?

Thanks
Regards
vega8 PURCHASED
Hi,

For the easiest deployment via Heroku, is it correct that the ruby on rails version should be used? Are extra steps required for Heroku if one chooses this? Do you have a link to instructions for the template please?

Thanks
Hello, deploying to Heroku is mainly like working with GIT, but with some particularity that depends on the technology used. For rails we provide an example since we use Heroku as hosting for our demo but you should be able to use any other project. For example, React has also documented how to deploy Heroku. Between Rails and React, the main difference is that Rails already has a server and for the React project it is necessary to code it.
It is hard to say which is easier/better since it depends mainly on the requirements of the application that you wish to develop, but we expect the above could bring an orientation guide.

Here you can see the Rails documentation with Heroku instructions, http://themicon.co/theme/angle/railsdoc/#heroku

Regards
Hello,

Using the netcore/angular project, how would you adjust the footer-height properly? Is it fixed to a certain height by default?

Thanks
Hi, the footer height is defined in file app/shared/styles/app/layout.scss
Look for variable $footer-hg and adjust its value if necessary.

We use a fixed height due to the sticky footer technique, the content area also uses the footer height defined in order to leave a space below.

Let us know if you have any question.
Regard
Any plans to release a night mode or dark mode theme? I'm on the fence of purchasing and applying my own css to do such a thing or finding a different template.
Hi, it was always in plans but postponed by other priorities, if you are interested we can provide you with a stylesheet (like a theme) to change the default colors using dark colors.
With some minor adjustment the template could look like this: https://imgur.com/a/ix6Jd
Of course, other components not visible in that page may require some tuning but since all are based on bootstrap styles, just editing default styles will apply in cascade to other components.
If that's suitable for your requirements, after purchase please send us a message via our profile page and we can share with you the styles used.

Regards
That sounds great, i'll let you know when i get to that point. I have a few things I need to get off my list before purchasing. I am moving this internal ticket system site from a bootstrap 2.3.x :( and decided to buy a template this round to save me time.
olevy PURCHASED
Hi,

We are using Angular 5 version (3.8.3 22/12/2017) and Angular CLI 1.7.2 (last version), when we build in dev mode it's ok, but when we build in prod mode the styles are not correct, for example the font size of the left pannel change (it's bigger) and in other places too.

Thanks
Hi, recently we found something similar, for some reason Google fonts are not included in the final bundle when building for production, couldn't find what's the cause for the moment so we decided to switch to a local installation of the font via npm.
The following release will include this fix and should be ready this week (hopefully tomorrow)

Please let us know if there's any other changes you see different.
Thanks
Regards
olevy PURCHASED
Thanks!,
We tried installing google fonts by npm (npm install google-fonts) but it doesn't work. How can we install them locally?

Thanks,
Regards
Hi have used the "source-sans-pro" package from npm.
Once installed, replace in file src/app/shared/styles/app/typo.scss the @import of google fonts with the following @font-faces rules in order to include only the same requested from google fonts: https://pastebin.com/AgeXcPca

Let us know if you have any question
Regards
olevy PURCHASED
Thanks it worked!

Regards,
Is AngularJS required to enable functionality such as the ability to move the portlets? In the MVC demo without AngularJS this functionality appears to be missing as well as others.

Thanks
Hi, porlets features is only present on project based on jquery and not angular. We haven' migrated that functionatily for the moment to the !angular way!.
Regarding to demos,
in the MVC5+jQuery porlets can be seen here:http://themicon-001-site5.atempurl.com/Elements/Portlets
in the Netcore+jQuery porlets can be seen http://themicon-001-site2.atempurl.com/Elements/Portlets

Let us know if you have any question
Regards
I'm working with the ReactJS version and it's amazing, the code is well structured and documented. It's worth every dollar! I'll will definitively save a lot of time.
Thanks so much for your feedback! Very appreciated!
Btw, we have also started to work on BS4 migration and React 16, plus other improvements.

Regards
Are there any guides to update? I'd like to update a project with the existing Angular 5 to the new BT 4 version. What are the key files I should change?
Hi, Bootstrap 4 by itself is not backward compatible, meaning many things changed and there's no some files to changes and update. Of course, everything starts by updating dependecies in package.json but then the markup and styles have changed a lot.
Here is a list of changes made in the framework: https://getbootstrap.com/docs/4.0/migration/

The simple way to update is to identify custom changes to the current Bootstrap 3 version and migrate them into them BS4 version, this way will be more simple than dealing with the full set of changes in the template.

Let us know if you have any question
Regards
vega8 PURCHASED
Hi,
I am trying to deploy the rails seed to Heroku. I have seen a previous comment stating that deployment requires only one change. Is this the change from sqlite to pg?

If so, I have performed this chage but am still running into difficulties. After getting an error message relating to jquery I installed yarn. After this I got further messages. Is there documentation on how to deploy to Heroku sttep by step?

Thanks
John
Hi, there's a problem with whirl package in package.json file, not sure what happened but it started to fail recently so we decide to fix this by using our own repo until found a solution.
To solve this please edit package.json and the remove the whirl package and replace with the following:

"whirl": "themicon/whirl",

Then run commit changes and run again the installation.

There's also another issue with the gem used for PosgreSQL, it was updated to 1.0 recently and it seems to be not working fine on rails (https://github.com/rails/rails/issues/31673)
To solve this edit your Gemfile and replace 'gem pg' with the following

gem 'pg', '~> 0.20'

Our apologies for so many issues. Just in case, following the steps detailed in documentation works fine. Only problem seems to be the packages mentioned that we will fix in the next update.

Let us know if you have any question

Thanks
Regards

Write a comment

This is a great way to give the seller feedback and ask them questions about their item.

You must sign in to write a comment

Sign in or sign up to make a purchase

$28
12466Purchases

Licenses: Details »

Single application $28
Version:4.0
Type:
  • HTML Template
Bootstrap: Compatible with 4.x
Layouts:
  • Responsive
  • Fluid
  • Fixed-width
Browsers:
  • IE 10, 11
  • Latest Chrome
  • Latest Edge
  • Latest Firefox
  • Latest Safari
Uses Less:No
Uses Sass:Yes
Category:
Topic: Internet & Web
Labels: admin, admin template, angularjs, material, meanjs, meteor, mvc, rails, responsive, rtl
Item#:WB04HF123
Released:3 years ago
Updated:1 month ago
Sold exclusively on WrapBootstrap
themicon

themicon

Signed up 4 years ago

Need a front-end template?

About Bootstrap

Bootstrap is designed to help people of all skill levels – designer or developer, huge nerd or early beginner. Use it as a complete kit or use it to start something more complex.

Unlike other front-end toolkits, Bootstrap was designed first and foremost as a styleguide to document not only its features, but best practices and living, coded examples.

Built to support new HTML5 elements and syntax with progressively enhanced components.

Browser support

Bootstrap is tested and supported in major modern browsers like Chrome, Firefox, and Internet Explorer.

Tested and supported in Chrome, Safari, Firefox, Internet Explorer, and Opera.
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Latest Edge
  • Internet Explorer 10/11
  • Latest Opera

Features & includes

Bootstrap provides an unparalleled array of features and reusable components that let you hit the ground running:

  • Responsive 12-column grid
  • 12 custom, modular jQuery plugins
  • CSS styles for forms, navigation & more
  • Dozens of reusable components
  • Components are scaled according to a range of resolutions and devices
  • Built with Sass (CSS included)
  • Complete styleguide documentation